/*
 * output.h - declaration for log output functions
 */

/**********************************************************************
 *  Copyright (C) 2002 Rmi Denis-Courmont.                           *
 *  This program is free software; you can redistribute and/or modify *
 *  it under the terms of the GNU General Public License as published *
 *  by the Free Software Foundation; version 2 of the license.        *
 *                                                                    *
 *  This program is distributed in the hope that it will be useful,   *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of    *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.              *
 *  See the GNU General Public License for more details.              *
 *                                                                    *
 *  You should have received a copy of the GNU General Pulic License  *
 *  along with this program; if not, you can get it from:             *
 *  http://www.gnu.org/copyleft/gpl.html                              *
 *                                                                    *
 *  You are highly encouraged to submit your modifications to         *
 *  remi@simphalempin.com for possible inclusion in the official      *
 *  distribution. By doing so, and unless otherwise stated, you give  *
 *  Rmi Denis-Courmont an unlimited, non-exclusive right to modify,  *
 *  reuse and/or relicense the code.                                  *
 **********************************************************************/

#ifndef __RDC_OUTPUT_H

# define __RDC_OUTPUT_H
# ifdef HAVE_CONFIG_H
#  include <config.h>
# endif

# ifdef __cplusplus
extern "C" {
# endif

int fwrite_C(const void *buf, int len, FILE *stream);
int fwrite_hex(const void *buf, int len, FILE *stream);
int fwrite_raw(const void *buf, int len, FILE *stream);
int fwrite_strip(const void *buf, int len, FILE *stream);

# ifdef __cplusplus
}
# endif
#endif

